Tagged: error Toggle Comment Threads | Keyboard Shortcuts

  • Brad 1:53 pm on March 4, 2017 Permalink | Flag unresolved

      Tags: , error,   

      Baylys Theme Error ? 

      liebe ellen,

      immer wieder ist meine seite für einige zeit nicht erreichbar:
      http://www.tsv-goeggingen-jugendfussball.de/

      der provider bescheinigt wiederholt, dass es nicht am server liegt.

      könnte es mit dem fehler zusammen hängen, die WP ausgibt?

      tausend dank!

      Baylys Theme Version: 1.1.1
      WP Version 4.7.2 (neuste)

      WordPress debug.log gibt aus:

      [04-Mar-2017 12:41:08 UTC] PHP Strict Standards:  call_user_func_array() expects parameter 1 to be a valid callback, non-static method widget_categorys::init() should not be called statically in /websites/wordpress/wp-includes/class-wp-hook.php on line 298
      [04-Mar-2017 12:41:08 UTC] PHP Notice:  Die verwendete Konstruktor-Methode für WP_Widget in widget_categorys ist seit Version 4.3.0 <strong>veraltet</strong>! Verwende stattdessen <pre>__construct()</pre>. in /websites/wordpress/wp-includes/functions.php on line 3891
      [04-Mar-2017 12:41:09 UTC] PHP Strict Standards:  call_user_func_array() expects parameter 1 to be a valid callback, non-static method wp_meta_desc_plugin::page_excerpt_init() should not be called statically in /websites/wordpress/wp-includes/class-wp-hook.php on line 298
      [04-Mar-2017 12:41:09 UTC] PHP Strict Standards:  call_user_func_array() expects parameter 1 to be a valid callback, non-static method widget_categorys::init() should not be called statically in /websites/wordpress/wp-includes/class-wp-hook.php on line 298
      [04-Mar-2017 12:41:09 UTC] PHP Notice:  Die verwendete Konstruktor-Methode für WP_Widget in widget_categorys ist seit Version 4.3.0 <strong>veraltet</strong>! Verwende stattdessen <pre>__construct()</pre>. in /websites/wordpress/wp-includes/functions.php on line 3891
      [04-Mar-2017 12:41:09 UTC] PHP Strict Standards:  call_user_func_array() expects parameter 1 to be a valid callback, non-static method wp_meta_desc_plugin::page_excerpt_init() should not be called statically in /websites/wordpress/wp-includes/class-wp-hook.php on line 298
      [04-Mar-2017 12:41:09 UTC] PHP Strict Standards:  call_user_func_array() expects parameter 1 to be a valid callback, non-static method widget_categorys::admin_init() should not be called statically in /websites/wordpress/wp-includes/class-wp-hook.php on line 298
      [04-Mar-2017 12:41:09 UTC] PHP Strict Standards:  call_user_func_array() expects parameter 1 to be a valid callback, non-static method widget_categorys::init() should not be called statically in /websites/wordpress/wp-includes/class-wp-hook.php on line 298
      [04-Mar-2017 12:41:09 UTC] PHP Notice:  Die verwendete Konstruktor-Methode für WP_Widget in widget_categorys ist seit Version 4.3.0 <strong>veraltet</strong>! Verwende stattdessen <pre>__construct()</pre>. in /websites/wordpress/wp-includes/functions.php on line 3891
      [04-Mar-2017 12:41:11 UTC] PHP Strict Standards:  call_user_func_array() expects parameter 1 to be a valid callback, non-static method wp_meta_desc_plugin::page_excerpt_init() should not be called statically in /websites/wordpress/wp-includes/class-wp-hook.php on line 298
      [04-Mar-2017 12:41:11 UTC] WPHP-> called: wphp_query_posts_where
      [04-Mar-2017 12:41:11 UTC] WPHP-> called: wphp_query_posts_join
      [04-Mar-2017 12:41:11 UTC] PHP Strict Standards:  call_user_func_array() expects parameter 1 to be a valid callback, non-static method widget_categorys::init() should not be called statically in /websites/wordpress/wp-includes/class-wp-hook.php on line 298
      [04-Mar-2017 12:41:11 UTC] PHP Notice:  Die verwendete Konstruktor-Methode für WP_Widget in widget_categorys ist seit Version 4.3.0 <strong>veraltet</strong>! Verwende stattdessen <pre>__construct()</pre>. in /websites/wordpress/wp-includes/functions.php on line 3891
      [04-Mar-2017 12:41:11 UTC] PHP Strict Standards:  call_user_func_array() expects parameter 1 to be a valid callback, non-static method wp_meta_desc_plugin::page_excerpt_init() should not be called statically in /websites/wordpress/wp-includes/class-wp-hook.php on line 298
      [04-Mar-2017 12:41:11 UTC] PHP Strict Standards:  call_user_func_array() expects parameter 1 to be a valid callback, non-static method wp_meta_desc_plugin::add_meta_desc_tag() should not be called statically in /websites/wordpress/wp-includes/class-wp-hook.php on line 298
      [04-Mar-2017 12:41:11 UTC] WPHP-> called: wphp_query_posts_where
      [04-Mar-2017 12:41:11 UTC] WPHP-> called: wphp_query_posts_join
      [04-Mar-2017 12:41:12 UTC] WPHP-> called: wphp_query_posts_where
      [04-Mar-2017 12:41:12 UTC] WPHP-> called: wphp_query_posts_join
      [04-Mar-2017 12:41:12 UTC] PHP Notice:  Undefined offset: 1 in /websites/wordpress/wp-content/plugins/dw-promobar/dw-promobar.php on line 133
      [04-Mar-2017 12:41:13 UTC] PHP Strict Standards:  call_user_func_array() expects parameter 1 to be a valid callback, non-static method widget_categorys::init() should not be called statically in /websites/wordpress/wp-includes/class-wp-hook.php on line 298
      [04-Mar-2017 12:41:13 UTC] PHP Notice:  Die verwendete Konstruktor-Methode für WP_Widget in widget_categorys ist seit Version 4.3.0 <strong>veraltet</strong>! Verwende stattdessen <pre>__construct()</pre>. in /websites/wordpress/wp-includes/functions.php on line 3891
      [04-Mar-2017 12:41:13 UTC] PHP Strict Standards:  call_user_func_array() expects parameter 1 to be a valid callback, non-static method wp_meta_desc_plugin::page_excerpt_init() should not be called statically in /websites/wordpress/wp-includes/class-wp-hook.php on line 298
      [04-Mar-2017 12:41:14 UTC] PHP Strict Standards:  call_user_func_array() expects parameter 1 to be a valid callback, non-static method widget_categorys::admin_init() should not be called statically in /websites/wordpress/wp-includes/class-wp-hook.php on line 298
      [04-Mar-2017 12:41:15 UTC] PHP Strict Standards:  call_user_func_array() expects parameter 1 to be a valid callback, non-static method widget_categorys::init() should not be called statically in /websites/wordpress/wp-includes/class-wp-hook.php on line 298
      [04-Mar-2017 12:41:15 UTC] PHP Notice:  Die verwendete Konstruktor-Methode für WP_Widget in widget_categorys ist seit Version 4.3.0 <strong>veraltet</strong>! Verwende stattdessen <pre>__construct()</pre>. in /websites/wordpress/wp-includes/functions.php on line 3891
      [04-Mar-2017 12:41:15 UTC] PHP Strict Standards:  call_user_func_array() expects parameter 1 to be a valid callback, non-static method wp_meta_desc_plugin::page_excerpt_init() should not be called statically in /websites/wordpress/wp-includes/class-wp-hook.php on line 298
      [04-Mar-2017 12:41:15 UTC] WPHP-> called: wphp_query_posts_where
      [04-Mar-2017 12:41:15 UTC] WPHP-> called: wphp_query_posts_join
      [04-Mar-2017 12:41:15 UTC] PHP Strict Standards:  call_user_func_array() expects parameter 1 to be a valid callback, non-static method wp_meta_desc_plugin::add_meta_desc_tag() should not be called statically in /websites/wordpress/wp-includes/class-wp-hook.php on line 298
      [04-Mar-2017 12:41:15 UTC] PHP Notice:  Trying to get property of non-object in /websites/wordpress/wp-content/plugins/wordpress-meta-description/wp-meta-description.php on line 28
      [04-Mar-2017 12:41:19 UTC] PHP Strict Standards:  call_user_func_array() expects parameter 1 to be a valid callback, non-static method widget_categorys::init() should not be called statically in /websites/wordpress/wp-includes/class-wp-hook.php on line 298
      [04-Mar-2017 12:41:19 UTC] PHP Notice:  Die verwendete Konstruktor-Methode für WP_Widget in widget_categorys ist seit Version 4.3.0 <strong>veraltet</strong>! Verwende stattdessen <pre>__construct()</pre>. in /websites/wordpress/wp-includes/functions.php on line 3891
      [04-Mar-2017 12:41:19 UTC] PHP Strict Standards:  call_user_func_array() expects parameter 1 to be a valid callback, non-static method wp_meta_desc_plugin::page_excerpt_init() should not be called statically in /websites/wordpress/wp-includes/class-wp-hook.php on line 298
      [04-Mar-2017 12:41:19 UTC] PHP Notice:  has_cap wurde mit einem Parameter oder Argument aufgerufen, der seit Version 2.0.0 <strong>veraltet ist</strong>! Die Benutzung von <code>user_level</code> in Plugins und Themes ist veraltet. Nutze stattdessen das Abfragen von <code>roles</code> oder <code>capabilities</code>. in /websites/wordpress/wp-includes/functions.php on line 4020
      [04-Mar-2017 12:41:19 UTC] PHP Notice:  has_cap wurde mit einem Parameter oder Argument aufgerufen, der seit Version 2.0.0 <strong>veraltet ist</strong>! Die Benutzung von <code>user_level</code> in Plugins und Themes ist veraltet. Nutze stattdessen das Abfragen von <code>roles</code> oder <code>capabilities</code>. in /websites/wordpress/wp-includes/functions.php on line 4020
      [04-Mar-2017 12:41:19 UTC] WPHP-> called: wphp_add_post_edit_meta_box
      [04-Mar-2017 12:41:19 UTC] PHP Strict Standards:  call_user_func_array() expects parameter 1 to be a valid callback, non-static method widget_categorys::admin_init() should not be called statically in /websites/wordpress/wp-includes/class-wp-hook.php on line 298
      [04-Mar-2017 12:41:21 UTC] PHP Strict Standards:  call_user_func_array() expects parameter 1 to be a valid callback, non-static method widget_categorys::init() should not be called statically in /websites/wordpress/wp-includes/class-wp-hook.php on line 298
      [04-Mar-2017 12:41:21 UTC] PHP Notice:  Die verwendete Konstruktor-Methode für WP_Widget in widget_categorys ist seit Version 4.3.0 <strong>veraltet</strong>! Verwende stattdessen <pre>__construct()</pre>. in /websites/wordpress/wp-includes/functions.php on line 3891
      [04-Mar-2017 12:41:21 UTC] PHP Strict Standards:  call_user_func_array() expects parameter 1 to be a valid callback, non-static method wp_meta_desc_plugin::page_excerpt_init() should not be called statically in /websites/wordpress/wp-includes/class-wp-hook.php on line 298
      
       
      • Marc (Support-Team) 2:18 pm on March 6, 2017 Permalink | Log in to Reply

        Hallo,

        bitte prüfe einmal welche PHP-Version du verwendest. Ich befürchte, du könntest noch PHP 5.5 verwenden, in dem Fall empfehle ich dir auf PHP 5.6 umzusteigen.

        Darüberhinaus scheinen die Meldungen jedoch nicht dafür verantwortlich zu sein, dass deine Seite zwischenzeitlich nicht erreichbar ist. Gibt es eine Fehlermeldung, wenn die Seite nicht erreichbar ist oder bloß eine leere Seite?

        Da es sich hierbei sehr wahrscheinlich um ein Theme-unabhängiges Problem handelt, habe bitte Verständnis dafür, dass wir dafür keinen Support im Forum leisten können.

        Ich empfehle dir einmal deine Seite zu überwachen mit einem Monitoring-Service, so dass du sofort informiert wirst, wenn die Seite nicht erreichbar ist. Wenn dies regelmäßig passiert, kannst du z. B. durch ein zeitweises Deaktivieren all deiner Plugins herausfinden, ob ein solches dafür verantwortlich sein könnte. Darüberhinaus wäre das eigentliche Server-Log, vor allem die Einträge zur Zeit der Nichterreichbarkeit, sehr interessant. Zu diesem kann dir dein Hoster Zugriff geben.

        Zu guter Letzt noch: Ist die Seite denn aus allen Netzen nicht erreichbar? Dies lässt sich z. B. durch o. g. Monitoring-Service oder durch die simple Überprüfung der Erreichbarkeit z. B. vom Smartphone (nicht im eigenen WLAN) testen. In dem Fall wäre das Problem vermutlich nämlich vom Server unabhängig und es liegt ausschließlich an der Anbindung dessen, so dass ein Hoster-Wechsel interessant würde.

        Viele Grüße
        Marc

    • TraderHotel 6:03 pm on May 28, 2014 Permalink | Flag unresolved

        Tags: , , error, , on pages,   

        Ich habe mir anscheinend etwas zerschossen, da auf meiner Startseite nicht mehr die letzten Blog Beiträge (mit Beitragsbild) angezeigt werden – es wird gar nicht mehr der Shortcode erkannt.

        Ich benutze ja auf der Startseite mit Hilfe von Widget on Pages einen Shortcode, dieser ist auch korrekt eingefügt, zeigt aber in Kombination mit dem Widget “Neueste Artikel für Seiten” nichts mehr an, andere Blog-Widgets werden aber angezeigt (z.B. “Letzte Beiträge”)

        Ich benutze WordPress 3.9.1 und folgenden Code: http://pastebin.com/1a09kgKx

         
        • Marc (Support-Team) 11:23 am on June 1, 2014 Permalink | Log in to Reply

          Hallo, würdest du mir die betroffene Seite einmal zeigen? Die Frage ist nun ob der Widgets-On-Pages-Shortcode korrekt umgesetzt wird oder das Problem beim Widget liegt, welches in den WOP-Widget-Bereich abgelegt ist.

          Du sagst “andere Blog-Widgets werden aber angezeigt”, meinst du damit Widgets, die in dem entsprechenden Widgets-On-Pages-Widget-Bereich abgelegt sind?

          Viele Grüße
          Marc

          • TraderHotel 10:41 pm on June 1, 2014 Permalink | Log in to Reply

            Hallo, und lieben Dank für die Rückmeldung. Es handelt sich um die Hauptseite: http://www.handelsbuero-berlin.de unter dem “[headline_border]Latest Blog Posts[/headline_border]” sollten an sich die 2 letzten Blog Einträge mit Beitragsbild zu sehen sein. (Blog: http://www.handelsbuero-berlin.de/blog-trades)
            Ich habe jetzt mal noch ein weiteres Widget (Jetpack: Display WordPress Posts) in das Widget-on-Pages-Widget gepackt.
            Also das Widget-on-Pages-Widget funktioniert ja anscheinend, da es das Jetpack Widget anzeigt, nur nicht das “Neueste Artikel für Seiten”.

            • TraderHotel 11:05 am on June 4, 2014 Permalink | Log in to Reply

              @marcj Habe es selbst behoben, indem ich in dem Widget “Neueste Artikel für Seiten” die anzuzeigende Kategorie von “2” (ID=2) gelöscht habe, so dass jetzt gar keine ID drin steht. Ist für mich zwar unlogisch, warum dann alles angezeigt wird, aber es klappt! :))
              Also danke!

      • TraderHotel 12:56 pm on May 26, 2014 Permalink | Flag unresolved

          Tags: , error, , , , ,   

          Dorayaki – Firefox Fehler Error 

          Hallo,

          ich bekomme immer, wenn ich Mozilla Firefox mit meiner WordPress-Dorayaki Domain öffne den Fehler “550 no such directory” – warum ist das so?

          Hier der Fehler als Screenshot: http://imgur.com/UYbjFMh

          Ich habe es auch auf einem anderen PC ausprobiert, da kommt der gleiche Fehler, unter Google Chrome aber nicht.

           

          Danke für eure Hilfe

           

           
          • Ellen (Support-Team) 2:54 pm on May 26, 2014 Permalink | Log in to Reply

            @traderhotel: Bekommst du die Fehlermeldung auch, wenn du die Dorayaki Live-Demo aufrufst? Falls nicht, könnte die Fehlermeldung sehr gut an einem Plugin liegen, dass du installiert hast (ich hatte so etwas selbst auch einmal bei einem Plugin). Außerdem wäre zur Fehlerfindung noch wichtig zu wissen, welche WordPress Version du nutzt?
            Viele Grüße,
            Ellen

            • TraderHotel 4:25 pm on May 26, 2014 Permalink | Log in to Reply

              @ellen Ich bekomme die Fehlermeldung bei der Dorayaki Live Demo NICHT. Liegt dann wohl an einem Plugin, aber wie findet man das heraus, an welchem es liegt? Ich benutze WordPress 3.9.1
              Und ausschließlich unter Firefox (Version 29.0.1) – normalerweise benutze ich Google Chrome, und unter Safari kommt der Fehler auch nicht.

              • Ellen (Support-Team) 10:24 pm on May 26, 2014 Permalink | Log in to Reply

                Hallo TraderHotel, ja, die Wahrscheinlichkeit, dass es an einem Plugin liegt, ist dann recht hoch. Am besten deaktivierst du Schritt für Schritt die Plugins und schaust, ob der Fehler verschwindet. Ich erinnere mich, dass bei uns ein ähnlicher Fehler ich glaube durch ein Plugin für Mehrsprachigkeit ausgelöst wurde.

                Ich hoffe so bist du erfolgreich.
                Grüße, Ellen

          • Marc (Support-Team) 8:13 am on May 27, 2014 Permalink | Log in to Reply

            Hallo, der Fehler wird durch das Laden der folgenden Datei verursacht:

            ftp://handelsbuero-berlin.de@ftp.strato.de/HandelsBuero-Berlin.de/wp-content/themes/dorayaki/favicon.ico

            Der Seitenbesucher hat natürlich auf deinen FTP-Account keinen Zugriff, manche Browser melden diesen Ladefehler dann noch mit einem extra Hinweis. Du hast vermutlich irgendwo diese Zeile als Quelle des FavIcons gesetzt. Ersetze diese doch bitte mal durch die folgende Zeile:

            http://handelsbuero-berlin.de/wp-content/themes/dorayaki/favicon.ico

            Viele Grüße
            Marc

        • Jens 10:02 am on December 7, 2012 Permalink | Flag unresolved

            Tags: error, ,   

            jQuery-Konflikt zw. Theme und Plugin: Wie den Fehler interpretieren? 

            Hallo zusammen, ich habe das Baylys-Theme und den HTML5 jQuery Audio Player auf der Seite http://www.guete.de im Einsatz. Es ist offensichtlich, dass Plugin und Theme einen Konflikt haben, der sich auf die mobile Navigation bezieht und etwas mit den verwendeten Javascript zu tun hat. Wenn der Player eingebunden wird, schiebt sich das Icon für die mobile Navi-Darstellung nicht mehr mit den Menüpunkten auf, wie sonst üblich. Wird der Player nicht in die Seite eingebettet, funktioniert die ausklappbare Navigation.
            Firebug meldet dazu:
            TypeError: jQuery(…).smoothScroll is not a function
            [Bei diesem Fehler anhalten]
            jQuery(‘a.top’).smoothScroll();

            Was könnte ich nun tun, um Plugin und Theme miteinander zu versöhnen?

             
            • Jens 1:18 pm on December 9, 2012 Permalink | Log in to Reply

              Könnte es vielleicht hiermit etwas zu tun haben, Ellen? In Deinem Theme sind drei interne jquery-Dateien vorhanden, das Audio-Plugin verweits aber auf ein externes jquery-file:
              The most common problem is a jQuery conflict. In short, if your theme loads jQuery library, then other plugin/s (like this one) also load jQuery then it can cause serious grief on the site and things start breaking. The solution is for all plugin developers and WordPress theme creators to use the copy of jQuery which is included in the WordPress core or load it from Google AJAX libraries, and to consider also using the noConflict jQuery mode (this plugin does all that).

              • Ellen 10:45 am on December 14, 2012 Permalink | Log in to Reply

                Du könntest einmal testen, ob der Player funktioniert, wenn du das SmoothScroll Script in der js/custom.js Datei deaktivierst. Das Script wird nicht ungebindt 100% benötigt, daher wäre es eine Option es zu löschen, um den Player laufen zu lassen. Die Script nutzen aber eigentlich auch schon alle den noConflict jQuery mode.

                Hoffentlich hilft der Tipp weiter. Grüße, Ellen

          c
          compose new post
          j
          next post/next comment
          k
          previous post/previous comment
          r
          reply
          e
          edit
          o
          show/hide comments
          t
          go to top
          l
          go to login
          h
          show/hide help
          shift + esc
          cancel